//
//  EMCircleChannelAttribute.h
//  HyphenateChat
//
//  Created by 冯钊 on 2022/7/18.
//  Copyright © 2022 easemob.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "EMCircleChannel.h"



NS_ASSUME_NONNULL_BEGIN

@interface EMCircleChannelAttribute : NSObject

/**
 *  \~chinese
 *  频道名称。
 */
@property (nonatomic, copy, nullable) NSString *name;

/**
 *  \~chinese
 *  频道描述。
 */
@property (nonatomic, copy, nullable) NSString *desc;

/**
 *  \~chinese
 *  频道自定义的扩展数据。
 */
@property (nonatomic, copy, nullable) NSString *ext;

/**
 *  \~chinese
 *  频道的最大成员数量。
 *  - 对于语聊频道，该属性的取值范围为 [1,20]，默认值为 `8`。
 *  - 对于文字频道，该属性的取值范围为 [1,2000]，默认值为 `2000`。
 */
@property (nonatomic, assign) int32_t maxUsers;

/**
 *  \~chinese
 *  频道类型。详见 {@link EMCircleChannel#EMCircleChannelType}。
 */
@property (nonatomic, assign) EMCircleChannelType type;

/**
 *  \~chinese
 *  RTC 频道 ID。该参数仅在创建语聊频道时需设置。若不设置，服务器使用创建的语聊频道的 ID 作为该参数的值返回。
 */
@property (nonatomic, copy) NSString *rtcChannelId;

@end

NS_ASSUME_NONNULL_END
