//
//  EMCircleServerAttribute.h
//  HyphenateChat
//
//  Created by 冯钊 on 2022/7/15.
//  Copyright © 2022 easemob.com. All rights reserved.
//

#import "EMCircleServer.h"

NS_ASSUME_NONNULL_BEGIN

@interface EMCircleServerAttribute : NSObject

/**
 *  \~chinese
 *  社区类型。详见 {@link EMCircleServer#EMCircleServerType}。
 */
@property (nonatomic, assign) EMCircleServerType type;
/**
 *  \~chinese
 *  社区名称。
 */
@property (nonatomic, copy, nullable) NSString *name;
/**
 *  \~chinese
 *  社区头像 URL。
 */
@property (nonatomic, copy, nullable) NSString *icon;
/**
 *  \~chinese
 *  社区背景 URL。
 */
@property (nonatomic, copy, nullable) NSString *background;
/**
 *  \~chinese
 *  社区描述。
 */
@property (nonatomic, copy, nullable) NSString *desc;
/**
 *  \~chinese
 *  社区的自定义扩展数据。
 */
@property (nonatomic, copy, nullable) NSString *ext;

@end

NS_ASSUME_NONNULL_END
