//
//  EMCircleServerEvent.h
//  HyphenateChat
//
//  Created by 冯钊 on 2022/6/28.
//  Copyright © 2022 easemob.com. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface EMCircleServerEvent : NSObject

- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)new NS_UNAVAILABLE;

/**
 *  \~chinese
 *  事件中的社区 ID。
 */
@property (readonly) NSString *serverId;
/**
 *  \~chinese
 *  事件中的社区名称。
 */
@property (readonly) NSString *serverName;
/**
 *  \~chinese
 *  事件中的社区描述。
 */
@property (readonly, nullable) NSString *serverDesc;
/**
 *  \~chinese
 *  事件中的社区自定义扩展信息。
 */
@property (readonly, nullable) NSString *serverCustom;
/**
 *  \~chinese
 *  事件中的社区头像 URL。
 */
@property (readonly, nullable) NSString *serverIconUrl;
/**
 *  \~chinese
 *  事件中的社区背景 URL。
 */
@property (readonly, nullable) NSString *serverBackgroundUrl;
/**
 *  \~chinese
 *  事件中的发送方 ID。
 */
@property (readonly) NSString *from;
/**
 *  \~chinese
 *  事件中的接收方 ID 集合。
 */
@property (readonly) NSArray<NSString *> *tos;
/**
 *  \~chinese
 *  事件发送时间戳，单位为毫秒。
 */
@property (readonly) uint64_t ts;

@end

NS_ASSUME_NONNULL_END
