//
//  EMCircleUser.h
//  HyphenateChat
//
//  Created by 冯钊 on 2022/6/15.
//  Copyright © 2022 easemob.com. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, EMCircleUserRole) {
    EMCircleUserRoleOwner = 0,  /* \~chinese 社区所有者。 */
    EMCircleUserRoleModerator,  /* \~chinese 社区管理员。 */
    EMCircleUserRoleUser,       /* \~chinese 社区普通成员。 */
};

@interface EMCircleUser : NSObject
/**
 *  \~chinese
 *  用户 ID。
 */
@property (nonatomic, copy) NSString *userId;
/**
 *  \~chinese
 *  用户在社区中的角色。
 */
@property (nonatomic, assign) EMCircleUserRole role;

- (instancetype)initWithUserId:(NSString *)userId role:(EMCircleUserRole)role;

@end

NS_ASSUME_NONNULL_END
